Skip to main content
GET
Get a ModelCredential generation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

checkfu-version
enum<string>
required
Available options:
2026-08-24

Path Parameters

model_credential_id
string
required
Pattern: ^mcred_[0-9a-f]{32}$
model_credential_generation_id
string
required
Pattern: ^mcgen_[0-9a-f]{32}$

Response

Success

id
string
required
Pattern: ^mcgen_[0-9a-f]{32}$
model_credential_id
string
required
Pattern: ^mcred_[0-9a-f]{32}$
generation_number
integer
required
Required range: x > 0
status
enum<string>
required
Available options:
active,
rejected,
revoked
configured_at
string
required

A canonical UTC ISO-8601 timestamp with millisecond precision.

Maximum string length: 24
Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
last_verified_at
string | null
required

A canonical UTC ISO-8601 timestamp with millisecond precision.

Maximum string length: 24
Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
rejected_at
string | null
required

A canonical UTC ISO-8601 timestamp with millisecond precision.

Maximum string length: 24
Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
revoked_at
string | null
required

A canonical UTC ISO-8601 timestamp with millisecond precision.

Maximum string length: 24
Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$